Name:		hitori
Version:	0.4.0
Release:	1%{?dist}
Summary:	Logic puzzle game for GNOME
Summary(de):	Logikpuzzle für GNOME

Group:		Amusements/Games
# The executable is licensed under GPLv3+, while the user manual is CC-BY-SA.
License:	GPLv3+ and CC-BY-SA
URL:		http://live.gnome.org/Hitori
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.xz
Patch0:         %{name}-%{version}-translation.patch

BuildRequires:	desktop-file-utils
BuildRequires:	itstool
BuildRequires:	gtk3-devel
BuildRequires:	intltool

%description
A small application written to allow one to play the Hitori puzzle game,
which is similar in theme to more popular puzzles such as Sudoku.

It has full support for playing the game (i.e. it checks all three rules are
satisfied). It has undo/redo support, can give hints, and allows for cells
to be tagged with one of two different tags, to aid in solving the puzzle.
It has support for anything from 5×5 to 10×10 grids.

%description -l de
Ein kleines Programm zum Spielen des Hitori-Puzzles, das thematisch
populäreren Puzzlespielen wie beispielsweise Sudoku ähnelt.

Das Programm unterstützt die Spielregeln vollständig. Es wird in
jedem Fall überprüft, ob die drei Ausschlussregeln angewendet sind.
Das Zurücknehmen und Wiederholen von Zügen ist ebenso möglich wie das
Kennzeichnen von Feldern mit einer oder mehreren Markierungen, um den Weg zur
Lösung zu erleichtern. Mögliche Spielfeldgrößen reichen von 5x5 bis hin zu
10x10 Feldern. 

%prep
%setup -q
%patch0 -p0

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%%doc AUTHORS ChangeLog COPYING COPYING-DOCS MAINTAINERS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/help/*/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog
* Fri Nov 02 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.4.0-1
- New upstream release
- Drop gettext from BR
- Some cleanup
- Add patch for German translations

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


* Mon May 28 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.3.2-1
- New upstream version
- Removed the patch because it doesn't depend on libm anymore
- Tweaked the description

* Sat Mar  3 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.1-4
- Merge F-16 to master as it's a newer version
- Fix FTBFS

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.1-2
- Rebuild for new libpng

* Sun Jun 19 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3.1-1
- New upstream version
- Fixes GNOME bug #652399 (l10n doesn't work)

* Sun Jun 12 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3.0-1
- New upstream version

* Fri Feb 18 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-3
- Changed native English and German description
- Added ChangeLog to %%doc

* Tue Feb 15 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-2
- Added German summary and description

* Sat Jan 30 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-1
- Bumped version to 0.2.6
- Added COPYING-DOCS again, see GNOME upstream bug #640905

* Sat Jan 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-4
- some fixes to licensing
- moved icon cache macros to their right places
- revamped file list

* Sat Jan 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-3
- locale dir dropped from filelist
- changed license according to the mixed usage of licenses for executables
  and docs
- added macros for updating the icon cache
- dropped COPYING-DOCS from filelist because it is obsolete

* Tue Jan 25 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-2
- added find_lang macro
- changed summary and description
- changed group
- added desktop file handling
- added new Requires and BuildRequires

* Thu Nov 07 2010 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-1
- initial package
